#include"iostream"
#include"cmath"
using namespace std;
int main() {
	float p, q, r, a, b;
	int z = 0;
	cin >> p >> q >> r >> a >> b;
	for (int i = a; i <= b; i++) {
		if (ceil(i / p) + ceil(i / q) + ceil(i / r) <= i)z++;
	}
	cout << z;
	return 0;
}